/*
 *  epoll.c ( Efficent event polling implementation )
 *  Copyright (C) 2001,...,2002	 Davide Libenzi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Davide Libenzi <davidel@xmailserver.org>
 *
 */

#include <asm/poll.h>
#include <linux/unistd.h>

#include "epoll.h"


#define __NR_epoll_create __NR_sys_epoll_create
#define __NR_epoll_ctl __NR_sys_epoll_ctl
#define __NR_epoll_wait __NR_sys_epoll_wait


#define __sys_epoll_create(maxfds) _syscall1(int, epoll_create, int, maxfds)
#define __sys_epoll_ctl(epfd, op, fd, events) _syscall4(int, epoll_ctl, \
			int, epfd, int, op, int, fd, unsigned int, events)
#define __sys_epoll_wait(epfd, pevents, maxevents, timeout) _syscall4(int, epoll_wait, \
			  int, epfd, struct pollfd *, pevents, int, maxevents, int, timeout)


__sys_epoll_create(maxfds)

__sys_epoll_ctl(epfd, op, fd, events)

__sys_epoll_wait(epfd, pevents, maxevents, timeout)


